using System.Linq;
using UnityEngine;

namespace CheesyFX
{
    public class Person : MonoBehaviour
    {
        private Atom atom;
        private GenderListener genderListener;
        public DAZCharacterSelector.Gender gender => genderListener.dcs.gender;
        public bool isFuta => genderListener.isFuta;
        private Male male;

        public Person Init(Atom atom)
        {
            this.atom = atom;
            genderListener = new GenderListener(atom);
            return this;
        }

        public void AddStimReceiver()
        {
            if (!isFuta && gender != DAZCharacterSelector.Gender.Male) return;
            var tip = atom.rigidbodies.First(x => x.name == "Gen3").transform
                .Find("AutoColliderGen3b/AutoColliderGen3bHard").GetComponent<CapsuleCollider>();
            var penetrator = gameObject.AddComponent<CapsulePenetrator>().Init(tip);
            FillMeUp.penetratorByTip[tip] = penetrator;
        }
    }
}